Page MenuHomePhabricator

Browser test run log is accessible from Barry-bot review comment.
Closed, ResolvedPublic5 Estimated Story Points

Description

As a developer, I want to be able to see the full log for the browser tests that Barry run on a patchset, without it cluttering Gerrit with a wall of text.


Outcomes:

  • Test run log is archived and publicly accessible
  • Bot posts a link with the test run log alongside its comment when sending the review to gerrit

Event Timeline

Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez added subscribers: Jhernandez, Aklapper.
phuedx updated the task description. (Show Details)Jul 6 2015, 4:27 PM
phuedx set Security to None.
KLans_WMF edited a custom field.Jul 6 2015, 4:29 PM
KLans_WMF moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-51-YOLO board.
bmansurov claimed this task.Jul 6 2015, 5:45 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-51-YOLO board.
bmansurov added a comment.EditedJul 6 2015, 9:53 PM

Pull request: https://github.com/jdlrobson/Barry-the-Browser-Test-Bot/pull/5
Updated docs: https://www.mediawiki.org/wiki/Reading/Setting_up_a_browser_test_bot

The repo at gather-browser-tests.eqiad.wmflabs will be updated after the pull request has been merged.

To test, remove Barry from the reviewers' list at [1] and run ./barrybot.py --review 1 --project mediawiki/extensions/MobileFrontend --core /srv/mediawiki/ --test /srv/mediawiki/extensions/MobileFrontend/ --tag smoke --paste 1

[1] https://gerrit.wikimedia.org/r/#/c/223158/

phuedx added a subscriber: phuedx.Jul 7 2015, 2:32 PM

Barry-the-Browser-Test-Bot/pull/5 has one or more merge conflicts that need resolving.

The PR is neato though!

Jdlrobson added a subscriber: Jdlrobson.

Looks good and I got it up and running :D
I've made a few comments on the patch around the output it provides but seems close. Can't wait to see it in action!

@phuedx, I'm not sure how to fix the merge conflicts. Only @Jdlrobson seems to be able to do so.

@Jdlrobson, I've pushed an update. I didn't understand your question about instructions changing though.

@phuedx I gave you collaborator rights since I'm off on vacation. I'd like your input on my comment. I'm a bit concerned about adding instructions there that may go out of date if something radically changes, but this may be a case of me being too fussy. Merge at will.

phuedx added a comment.Jul 9 2015, 1:59 PM

@Jdlrobson: I feel that "Update the docs" should be an explicit AC for all changes and so I don't share your concern.

Seems to be -1ing all patches. Something going wrong in passing error code from terminal output... :-(

(oh and @phuedx you misunderstood me... I'm was not saying no to documentation, I was saying don't reproduce docs that might go out of date - just link to them. I don't think it's our duty to explain to people how to install a third party tool)

I did a follow up patch and got this working. Just verifying now. Will post results.

YOLO. https://gerrit.wikimedia.org/r/#/c/223158/ we are up and running. Barry will now paste urls in his reviews.

It's working @bmansurov but it creates a paste for successes which is probably not the desired behaviour... :-/

Great job, @Jdlrobson. Thanks for wrapping this up. I left a comment on your follow up patch.

Jhernandez closed this task as Resolved.Jul 19 2015, 2:31 PM

@Jdlrobson, @bmansurov left you a minor comment on the commit.

I'm considering this done, great job guys!